org.firebirdsql.gds.impl

## Enum TransactionParameterBufferImpl.TpbMetaData

- java.lang.Object
- - java.lang.Enum<TransactionParameterBufferImpl.TpbMetaData>
  - - org.firebirdsql.gds.impl.TransactionParameterBufferImpl.TpbMetaData

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TransactionParameterBufferImpl.TpbMetaData>, ParameterBufferMetaData
  Enclosing class:
    TransactionParameterBufferImpl

      public static enum TransactionParameterBufferImpl.TpbMetaData
      extends java.lang.Enum<TransactionParameterBufferImpl.TpbMetaData>
      implements ParameterBufferMetaData

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TPB_VERSION_3`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPreamble(ParameterBuffer parameterBuffer)` Allows the metadata to add a preamble to the parameter buffer.
    `ArgumentType` | `getByteArrayArgumentType(int tag)` Gets the byte array argument type for the supplied tag.
    `ArgumentType` | `getIntegerArgumentType(int tag)` Gets the byte array argument type for the supplied tag.
    `ArgumentType` | `getStringArgumentType(int tag)` Gets the string argument type for the supplied tag.
    `int` | `getType()` Parameter buffer type (this usually is the version of the parameter buffer).
    `static TransactionParameterBufferImpl.TpbMetaData` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TransactionParameterBufferImpl.TpbMetaData[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TPB_VERSION_3

          public static final TransactionParameterBufferImpl.TpbMetaData TPB_VERSION_3

  - ### Method Detail

    - #### values

          public static TransactionParameterBufferImpl.TpbMetaData[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransactionParameterBufferImpl.TpbMetaData c : TransactionParameterBufferImpl.TpbMetaData.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransactionParameterBufferImpl.TpbMetaData valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getType

          public int getType()

      Description copied from interface: `ParameterBufferMetaData`
      Parameter buffer type (this usually is the version of the parameter buffer).
      Specified by:
        `getType` in interface `ParameterBufferMetaData`
      Returns:
        Buffer type (for example `ISCConstants.isc_spb_version3`).

    - #### addPreamble

          public void addPreamble(ParameterBuffer parameterBuffer)

      Description copied from interface: `ParameterBufferMetaData`
      Allows the metadata to add a preamble to the parameter buffer.

      This is only intended for the weird "version 2" connection service parameter buffer that requires two tags for the version with `isc_spb_version, isc_spb_current_version`.

      Specified by:
        `addPreamble` in interface `ParameterBufferMetaData`
      Parameters:
        `parameterBuffer` - Parameter buffer.

    - #### getStringArgumentType

          public ArgumentType getStringArgumentType(int tag)

      Description copied from interface: `ParameterBufferMetaData`
      Gets the string argument type for the supplied tag.

      When the tag is not known (or unsupported for string arguments), then the default should be returned.

      Specified by:
        `getStringArgumentType` in interface `ParameterBufferMetaData`
      Parameters:
        `tag` - Tag (item type)
      Returns:
        Argument type (never `null`)

    - #### getByteArrayArgumentType

          public ArgumentType getByteArrayArgumentType(int tag)

      Description copied from interface: `ParameterBufferMetaData`
      Gets the byte array argument type for the supplied tag.

      When the tag is not known (or unsupported for string arguments), then the default should be returned.

      Specified by:
        `getByteArrayArgumentType` in interface `ParameterBufferMetaData`
      Parameters:
        `tag` - Tag (item type)
      Returns:
        Argument type (never `null`)

    - #### getIntegerArgumentType

          public ArgumentType getIntegerArgumentType(int tag)

      Description copied from interface: `ParameterBufferMetaData`
      Gets the byte array argument type for the supplied tag.

      When the tag is not known (or unsupported for string arguments), then the default should be returned.

      Specified by:
        `getIntegerArgumentType` in interface `ParameterBufferMetaData`
      Parameters:
        `tag` - Tag (item type)
      Returns:
        Argument type (never `null`)

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.